Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextBodyElement Class Reference

`#include <IWORKTextBodyElement.h>`

Inheritance diagram for libetonyek::IWORKTextBodyElement:

## Public Member Functions
| IWORKTextBodyElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
bool | m_layout
bool | m_para

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTextBodyElement()

libetonyek::IWORKTextBodyElement::IWORKTextBodyElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTextBodyElement::element | ( | int | name | ) |
| override protected

## ◆ endOfElement()

void libetonyek::IWORKTextBodyElement::endOfElement | ( |  | ) |
| override protected

## Member Data Documentation

## ◆ m_layout

bool libetonyek::IWORKTextBodyElement::m_layout
| private

Referenced by element().

## ◆ m_para

bool libetonyek::IWORKTextBodyElement::m_para
| private

Referenced by element().

The documentation for this class was generated from the following files:

- IWORKTextBodyElement.h
- IWORKTextBodyElement.cpp